Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceDetail

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceDetail

All Implemented Interfaces:
  IDLEntity, Serializable

public final class ServiceDetail
extends Object
implements IDLEntity

An object that represents an ORB service: its `service_detail_type` field contains the type of the ORB service, and its `service_detail` field contains a description of the ORB service.

Field Summary
`byte[]` | `service_detail` The data describing the ORB service that this `ServiceDetail` object represents.
`int` | `service_detail_type` The type of the ORB service that this `ServiceDetail` object represents.

Constructor Summary
`ServiceDetail()` Constructs a `ServiceDetail` object with 0 for the type of ORB service and an empty description.
`ServiceDetail(int service_detail_type, byte[] service_detail)` Constructs a `ServiceDetail` object with the given ORB service type and the given description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_detail_type

    public int service_detail_type

  The type of the ORB service that this `ServiceDetail` object represents.

### service_detail

    public byte[] service_detail

  The data describing the ORB service that this `ServiceDetail` object represents.

Constructor Detail

### ServiceDetail

    public ServiceDetail()

  Constructs a `ServiceDetail` object with 0 for the type of ORB service and an empty description.

### ServiceDetail

    public ServiceDetail(int service_detail_type,
                         byte[] service_detail)

  Constructs a `ServiceDetail` object with the given ORB service type and the given description.

Parameters:
  `service_detail_type` - an `int` specifying the type of ORB service
  `service_detail` - a `byte` array describing the ORB service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.